Plugin not working after upgrade

12 years 3 months ago #42532 by biotechsun
If you are installing a new plugin or clicking on existing plugin CB shows the following error (CB 1.1)


Fatal error: Cannot clone object of class CBSimpleXMLElement due to 'zend.ze1_compatibility_mode' in C:\wamp\www\administrator\components\com_comprofiler\library\cb\xml\cb.xml.simplexml.php on line 67

Please help
12 years 3 months ago #42564 by beat
Looks likst you need to (have hoster) switch off PHP4 "compatibility mode" when using php5...

As that class is PHP5 only, and this "php4 compatibility mode" is buggy, this misbehavior is not a surprise.

Beat - Community Builder Team Member

Before posting on forums: Read FAQ thoroughly -- Help us spend more time coding by helping others in this forum, many thanks :)
CB links: Our membership - CBSubs - Templates - Hosting - Forge - Send me a Private Message (PM) only for private/confidential info
12 years 2 months ago #45002 by SeanX
Having the same problem after the upgrade... except im trying to install new plugins/and or edit the existing thins like tabs I get a error code as follows:

Fatal error: Cannot clone object of class CBSimpleXMLElement due to 'zend.ze1_compatibility_mode' in C:\Domains\ifbbsa.com\wwwroot\administrator\components\com_comprofiler\admin.comprofiler.html.php on line 1573

this one is from trying to edit the Menu Tab...

Please help!!! as my host wont make the change just to suit me... should i just go back to using 1.0.2 for the meantime?

Otherwise all else looks dandy.
THANKS

Post edited by: SeanX, at: 2007/09/06 04:00
12 years 2 months ago #45019 by beat
If you get this error and your hoster doesn't want to change this setting:

in CB 1.1, file administrator/components/com_comprofiler/library/xml/cb.xml.simplexml.php line 13, uncomment this:

//define('CBXML_TEST_CBXML','');


by removing the 2 / at the begining like this:

define('CBXML_TEST_CBXML','');


This should fix your problem.

But consider choosing a host which supports PHP 5 correctly, you will need that in 6 months time, when PHP 4 becomes obsolete.

Beat - Community Builder Team Member

Before posting on forums: Read FAQ thoroughly -- Help us spend more time coding by helping others in this forum, many thanks :)
CB links: Our membership - CBSubs - Templates - Hosting - Forge - Send me a Private Message (PM) only for private/confidential info
12 years 2 months ago #45037 by SeanX
Awesome! thanks dude, gonna try that.

CB ROCKS!!!
12 years 1 month ago #46092 by ltkermit

uncomment this:
//define('CBXML_TEST_CBXML','');
by removing the 2 / at the begining like this:
define('CBXML_TEST_CBXML','');
This should fix your problem.


This fixed my blank page error when trying to install CB plugins.

Thanks for the tip!!!
Moderators: beatnantkrileon
Time to create page: 0.427 seconds
Facebook Twitter Google LinkedIn